Subject: bug#35241: closed (Re: bug#35241: 27.0.50; Tramp can't decrypt .authinfo.gpg in Win 10)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 17 Apr 2019 12:09:02 +0000

Your bug report

#35241: 27.0.50; Tramp can't decrypt .authinfo.gpg in Win 10 

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35241: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35241
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35241: 27.0.50; Tramp can't decrypt .authinfo.gpg in Win 10
From: Michael Albinus <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 17 Apr 2019 14:08:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Albinus <[email-masked]> writes:

> Thinking about, the appropriate solution is quoting `default-directory':
>
> This does not work yet, `locate-file-internal' does not cooperate with a
> quoted `default-directory'. Will debug.

It was a problem with my local environment, not relevant for the problem.

I've pushed the fix and a respective test case to master. Closing the bug.

It would be great, if somebody could confirm that
`files-tests-executable-find' passes on MS Windows. I cannot test myself.

Best regards, Michael.

Subject: 27.0.50; Tramp can't decrypt .authinfo.gpg in Win 10
From: Shuguang Sun <[email-masked]>
To: [email-masked]
Date: Fri, 12 Apr 2019 10:44:53 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I use .authinfo.gpg to store my login information, instead of .authinfo. 

Whe I open /plink:... with tramp, emacs get blocked and it seems tramp
is dealing with .authinfo, and it doesn't decrypt the file. I need open
.authinfo.gpg first, which means emacs can read .authinfo.gpg whithout
interaction (passphrase?), and then tramp can do the following action
(e.g., login...), and messaging 
"Decrypting c:/Users/username/HOME/.authinfo.gpg...done".

Gnus works well, and it can interact with passphrase and ask for the
password for .authinfo.gpg.

In GNU Emacs 27.0.50 (build 3, x86_64-w64-mingw32)
 of 2019-04-05 built on RSHMX11052
Repository revision: a68c96863289d5d8ccfc2f775d0018a2721c5e53
Repository branch: master
Windowing system distributor 'Microsoft Corp.', version 10.0.15063
System Description: Microsoft Windows 10 Enterprise (v10.0.1703.15063.1689)

Configured using:
 'configure --without-imagemagick --without-pop
 '--program-transform-name=s/^ctags$/ctags.emacs/'
 PKG_CONFIG_PATH=/mingw64/lib/pkgconfig:/mingw64/share/pkgconfig'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
ZLIB TOOLKIT_SCROLL_BARS THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: CHS
  locale-coding-system: cp936